<?php 
class Provincia extends AppObjeto {
	
	//Propiedades
	protected $CP;
	
			
		/* para conectar con bd */
	protected static $_aliasTabla = 'aa';
	protected static $_nombreTabla = 'PROVINCIA';
	protected static $_campoPK = 'CP';
	
	
	// InitMetaDatos

	
	/*
	 * Devuelve los clientes para autocompletar 
	 * @param array $params: busqueda
	 * @return AppListado
	 * 
	 */
	public static function autocompletar($params){
		$select = self::selectObjeto();
		$select->columns(array('label'=>'PROV','value'=>'PROV'));
		// buscar por nombre en cualquier orden
		if (isset($params['busqueda']) && $params['busqueda']) {
			$palabras = explode(' ', $params['busqueda']);
			$sql = array();
			foreach ($palabras as $palabra){
				if ($palabra){
					$sql[] = 'PROV like \'%'.$palabra.'%\'';
				}
			}
			$sql = implode(' and ', $sql);
			$select->where($sql);
		}
		$resultado = self::selectExecute($select);
		return $resultado;
 	} 
	
 	
	
}